NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_setuser(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_setuser - Set the current procces priveleges

## Table Of Contents

## Synopsis

- ns_setuser user
- ns_setgroup group

## Description

Sets the effective user or group ID of the current process. If the effective UID of the caller is root, the real UID and saved set-user-ID are also set.

## COMMANDS

ns_setuser user
ns_setgroup group

## EXAMPLES

       % ns_setuser nobody
       % ns_setuser 99
       % ns_setgroup nogroup
       % ns_setgroup 99